### GET /api/products/rich Source: https://vivenu.dev/api/openapi.json Get all Products ```markdown ### Parameters - **top** (number (float), query, optional) - **skip** (number (float), query, optional) - **name** (string, query, optional) - **type** (string (voucher|product|donation|membership|addOn), query, optional) - **active** (boolean, query, optional) ### Responses #### 200 - OK **GET_Products_GetAllProducts_200_response** - **docs** (array (object)) Array items: - **_id** (string) (required): The ID of the product - **name** (string) (required): The name of the product - **active** (boolean): Whether the product is active and can be distributed - **isFulfillable** (boolean): Whether the product can be delivered - **type** (string (voucher|product|donation|membership|addOn)) (required): The type of the product ("voucher"|"product"|"donation"|"membership"|"addOn") - **image** (string): The image of the product - **description** (string): The description of the product - **variants** (array (object)): An array of variants of the product Array items: - **_id** (string) (required): The ID of the product variant of the product - **name** (string): The Name of the product variant, defaults to product name if not specified - **description** (string): A description of the variant - **priceType** (string (fixed|range)) ("fixed"|"range") - **price** (number (float)): The price of the product - **priceRange** (object) - **min** (number (float)): The minimum price of the product - **max** (number (float)): The maximum price of the product - **taxable** (boolean) (required): Whether the product is taxable or not - **taxRate** (number (float)): The tax rate of the product - **compareAtPrice** (number (float)): The recommended retail price to compare with the actual price. - **taxServiceTypeId** (string): The ID of the tax service of the product - **gtin** (string) - **localization** (object): Localization of the product for multiple languages - **categoryIds** (array (string)): An array of categories to which the product belongs - **voucherSettings** (object): If the product is of type voucher - **limitedValidityPeriod** (boolean): Whether the voucher should expire - **validityConfig** (object) - **amount** (number (float)) - **type** (number (float)) - **untilEndOfPeriod** (boolean) - **pdfImage** (string): A marketing image printed onto voucher pdf - **disclaimer** (string): A disclaimer text printed onto voucher pdf - **documentTemplateSettings** (object) - **templates** (array (object)) Array items: - **templateId** (string) (required): The ID of the document template - **format** (string (A4|LETTER|LEGAL|BOARDING-PASS|PLASTIC-CARD|CARD|LABEL|CUSTOM|APPLE|GOOGLE)) (required): The format of document template for the dimensions. ("A4"|"LETTER"|"LEGAL"|"BOARDING-PASS"|"PLASTIC-CARD"|"CARD"|"LABEL"|"CUSTOM"|"APPLE"|"GOOGLE") - **target** (string (thermal|digital|wallet)) (required): The target of document template for which targets it should be used. ("thermal"|"digital"|"wallet") - **type** (string (ticket|invoice|voucher|member-card|header-card)) (required): The type of document template for which document it should be used. ticket = The document template will be used on tickets. invoice = The document template will be used on invoices. ("ticket"|"invoice"|"voucher"|"member-card"|"header-card") - **addOnSettings** (object) - **optOutDescription** (string): The description that is shown to the user if he decides to not buy the addOn - **localization** (object): Localization of the addOnSettings for multiple languages - **donationSettings** (object): Settings for donation products - **campaignId** (string) (required): The ID of the fundraise campaign - **fundId** (string) (required): The ID of the donation fund - **sellerId** (string) (required): The ID of the seller of the product - **meta** (object): Custom key-value data. Metadata is useful for storing additional, structured information on an object. - **localization** (object): Localization of the product for multiple languages - **createdAt** (string (date-time)): An ISO timestamp indicating when the product was created - **updatedAt** (string (date-time)): An ISO timestamp indicating when the product was updated - **total** (integer) #### 400 - Bad Request Bad Request #### 401 - Unauthorized Unauthorized ### Example Usage ```bash curl -X GET "https://vivenu.com/api/products/rich?top=25&skip=0&name=string&type=voucher&active=true" ``` ``` -------------------------------- ### POST /api/products Source: https://vivenu.dev/api/openapi.json Create a Product ```markdown ### Request Body **Content-Type:** application/json - **name** (string) (required): The name of the product - **description** (string): The description of the product - **image** (string): The image of the product - **type** (string (voucher|product|donation|membership|addOn)) (required): The type of the product ("voucher"|"product"|"donation"|"membership"|"addOn") - **variants** (array (object)) Array items: - **name** (string): The Name of the product variant, defaults to product name if not specified - **description** (string): A description of the variant - **price** (number (float)): The price of the product - **priceType** (string (fixed|range)) ("fixed"|"range") - **priceRange** (object) - **min** (number (float)): The minimum price of the product - **max** (number (float)): The maximum price of the product - **taxable** (boolean) (required): Whether the product is taxable or not - **taxRate** (number (float)): The tax rate of the product - **compareAtPrice** (number (float)): The recommended retail price to compare with the actual price. - **taxServiceTypeId** (string): The ID of the tax service of the product - **gtin** (string) - **localization** (object): Localization of the product for multiple languages - **categoryIds** (array (string)): An array of categories to which the product belongs - **voucherSettings** (object): If the product is of type voucher - **limitedValidityPeriod** (boolean): Whether the voucher should expire - **validityConfig** (object) - **amount** (number (float)) - **type** (number (float)) - **untilEndOfPeriod** (boolean) - **pdfImage** (string): A marketing image printed onto voucher pdf - **disclaimer** (string): A disclaimer text printed onto voucher pdf - **documentTemplateSettings** (object) - **templates** (array (object)) Array items: - **templateId** (string) (required): The ID of the document template - **format** (string (A4|LETTER|LEGAL|BOARDING-PASS|PLASTIC-CARD|CARD|LABEL|CUSTOM|APPLE|GOOGLE)) (required): The format of document template for the dimensions. ("A4"|"LETTER"|"LEGAL"|"BOARDING-PASS"|"PLASTIC-CARD"|"CARD"|"LABEL"|"CUSTOM"|"APPLE"|"GOOGLE") - **target** (string (thermal|digital|wallet)) (required): The target of document template for which targets it should be used. ("thermal"|"digital"|"wallet") - **type** (string (ticket|invoice|voucher|member-card|header-card)) (required): The type of document template for which document it should be used. ticket = The document template will be used on tickets. invoice = The document template will be used on invoices. ("ticket"|"invoice"|"voucher"|"member-card"|"header-card") - **addOnSettings** (object) - **optOutDescription** (string): The description that is shown to the user if he decides to not buy the addOn - **localization** (object): Localization of the addOnSettings for multiple languages - **donationSettings** (object): Settings for donation products - **campaignId** (string) (required): The ID of the fundraise campaign - **fundId** (string) (required): The ID of the donation fund - **active** (boolean): Whether the product is active and can be distributed - **meta** (object): Custom key-value data. Metadata is useful for storing additional, structured information on an object. - **isFulfillable** (boolean): Whether the product can be delivered - **localization** (object): Localization of the product for multiple languages ### Responses #### 201 - Created **POST_Products_CreateAProduct_201_response** - **_id** (string) (required): The ID of the product - **name** (string) (required): The name of the product - **active** (boolean): Whether the product is active and can be distributed - **isFulfillable** (boolean): Whether the product can be delivered - **type** (string (voucher|product|donation|membership|addOn)) (required): The type of the product ("voucher"|"product"|"donation"|"membership"|"addOn") - **image** (string): The image of the product - **description** (string): The description of the product - **variants** (array (object)): An array of variants of the product Array items: - **_id** (string) (required): The ID of the product variant of the product - **name** (string): The Name of the product variant, defaults to product name if not specified - **description** (string): A description of the variant - **priceType** (string (fixed|range)) ("fixed"|"range") - **price** (number (float)): The price of the product - **priceRange** (object) - **min** (number (float)): The minimum price of the product - **max** (number (float)): The maximum price of the product - **taxable** (boolean) (required): Whether the product is taxable or not - **taxRate** (number (float)): The tax rate of the product - **compareAtPrice** (number (float)): The recommended retail price to compare with the actual price. - **taxServiceTypeId** (string): The ID of the tax service of the product - **gtin** (string) - **localization** (object): Localization of the product for multiple languages - **categoryIds** (array (string)): An array of categories to which the product belongs - **voucherSettings** (object): If the product is of type voucher - **limitedValidityPeriod** (boolean): Whether the voucher should expire - **validityConfig** (object) - **amount** (number (float)) - **type** (number (float)) - **untilEndOfPeriod** (boolean) - **pdfImage** (string): A marketing image printed onto voucher pdf - **disclaimer** (string): A disclaimer text printed onto voucher pdf - **documentTemplateSettings** (object) - **templates** (array (object)) Array items: - **templateId** (string) (required): The ID of the document template - **format** (string (A4|LETTER|LEGAL|BOARDING-PASS|PLASTIC-CARD|CARD|LABEL|CUSTOM|APPLE|GOOGLE)) (required): The format of document template for the dimensions. ("A4"|"LETTER"|"LEGAL"|"BOARDING-PASS"|"PLASTIC-CARD"|"CARD"|"LABEL"|"CUSTOM"|"APPLE"|"GOOGLE") - **target** (string (thermal|digital|wallet)) (required): The target of document template for which targets it should be used. ("thermal"|"digital"|"wallet") - **type** (string (ticket|invoice|voucher|member-card|header-card)) (required): The type of document template for which document it should be used. ticket = The document template will be used on tickets. invoice = The document template will be used on invoices. ("ticket"|"invoice"|"voucher"|"member-card"|"header-card") - **addOnSettings** (object) - **optOutDescription** (string): The description that is shown to the user if he decides to not buy the addOn - **localization** (object): Localization of the addOnSettings for multiple languages - **donationSettings** (object): Settings for donation products - **campaignId** (string) (required): The ID of the fundraise campaign - **fundId** (string) (required): The ID of the donation fund - **sellerId** (string) (required): The ID of the seller of the product - **meta** (object): Custom key-value data. Metadata is useful for storing additional, structured information on an object. - **localization** (object): Localization of the product for multiple languages - **createdAt** (string (date-time)): An ISO timestamp indicating when the product was created - **updatedAt** (string (date-time)): An ISO timestamp indicating when the product was updated #### 400 - Bad Request Bad Request #### 401 - Unauthorized Unauthorized ### Example Usage ```bash curl -X POST "https://vivenu.com/api/products" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "description": "string", "image": "string", "type": "voucher", "variants": [ { "name": "string", "description": "string", "price": "0", "priceType": "fixed", "priceRange": { "min": "0", "max": "0" }, "taxable": "true", "taxRate": "0", "compareAtPrice": "0", "taxServiceTypeId": "string", "gtin": "string", "localization": "value" } ], "categoryIds": [ "string" ], "voucherSettings": { "limitedValidityPeriod": "true", "validityConfig": { "amount": "0", "type": "0", "untilEndOfPeriod": "true" }, "pdfImage": "string", "disclaimer": "string", "documentTemplateSettings": { "templates": [ { "templateId": "string", "format": "A4", "target": "thermal", "type": "ticket" } ] } }, "addOnSettings": { "optOutDescription": "string", "localization": "value" }, "donationSettings": { "campaignId": "string", "fundId": "string" }, "active": "true", "meta": "value", "isFulfillable": "true", "localization": "value" }' ``` ``` -------------------------------- ### GET /api/invoices/trans/{transactionId} Source: https://vivenu.dev/api/openapi.json Get Invoice for Transaction (deprecated - use GET /invoices with the transactionId query parameter instead) ```markdown ### Parameters - **transactionId** (string, path, required) ### Responses #### 200 - OK **InvoiceResource** - **_id** (string) (required): The ID of the invoice. - **type** (string (invoice|cancellation)): The type of the invoice. ("invoice"|"cancellation") - **sellerId** (string) (required): The ID of the seller associated with the invoice. - **recipient** (object) (required): Information on the recipient of the invoice. - **company** (string): The company name of the recipient. - **name** (string) (required): The name of the recipient. - **firstname** (string) (required): The first name of the recipient. - **lastname** (string) (required): The last name of the recipient. - **address** (object): The address of the recipient. - **fullAddress** (string): Optional full address - **street** (string): The street of the address. Street name including number. - **line2** (string): The additional field of the address. - **postal** (string): The postal code of the address. - **city** (string): The city of the address. - **country** (string): The country of the address. An ISO 3166 country code. - **state** (string): The state of the address. If applicable - **transactionId** (string): The ID of the transaction the invoice originated from. - **cancellationId** (string): The ID of the associated cancellation. - **counter** (number (float)) (required): The counter used to create no. - **no** (string) (required): A unique number for the invoice consisting of the creation date and an increasing counter. - **items** (array (object)) (required): An array of invoice items. Array items: - **type** (string (product|ticket|fulfillment|outerCharge|discount|voucher|bundle|additionalFee|insurance)): The type of the invoice item. ("product"|"ticket"|"fulfillment"|"outerCharge"|"discount"|"voucher"|"bundle"|"additionalFee"|"insurance") - **title** (string) (required): The title of the invoice item. - **amount** (number (float)) (required): The amount of the invoice item. - **total** (number (float)) (required): The total of the invoice item. - **regularTotal** (number (float)) (required): The non-discounted total of the invoice item. - **includedTax** (number (float)) (required): The total of taxes included in the invoice item. - **taxRate** (number (float)) (required): The tax rate applied on the invoice item. - **components** (array (object)): An array of exposed price components. Array items: - **name** (string) - **total** (number (float)) - **total** (number (float)): The invoice total after discounts and taxes. - **discountSum** (number (float)): The total of all discounts applied. - **detailsPerRate** (array (object)): The tax details grouped by tax rates. Array items: - **taxRate** (number (float)) (required): The applied tax rate. - **includedTax** (number (float)) (required): The total of taxes associated with the tax rate. - **reducedTax** (number (float)) (required): The tax reduction through applied discounts. - **taxItems** (array (object)): An array of tax items. Array items: - **name** (string) - **taxTypeId** (string) - **rate** (number (float)) (required) - **perUnit** (number (float)) (required) - **total** (number (float)) (required) - **netTotal** (number (float)) - **netPerUnit** (number (float)) - **taxPayableAccountId** (string) - **taxPayableAccountCode** (string) - **includedTax** (number (float)): The total of all taxes included. - **taxRate** (number (float)): The default tax rate applied on items. - **includedOuterChargeTax** (number (float)): The total of all taxes on included outer charges. - **outerChargeTaxRate** (number (float)): The tax rate applied on outer charges. - **origin** (string (onlinesale|pos)): Whether the invoice has been created through an online or offline transaction. ("onlinesale"|"pos") - **currency** (string (EUR|USD|GBP|AUD|CHF|THB|ILS|COP|MXN|DKK|NOK|SEK|QAR|CAD|ISK|GTQ|INR|DOP|SGD|PLN|SAR|TTD|ZAR|KYD|HKD|CZK|KRW|JPY|NZD|AED|MAD|TWD|BRL|BWP|NAD|KES|SCR|TRY|SZL|LSL|TZS|UGX|ZMW|ZWG|GHS|NGN|SLE|LRD|XOF|XAF|GEL|IDR|ARS|CRC|HUF|EGP|MYR)) (required): An ISO 4217 3-character code of the currency. ("EUR"|"USD"|"GBP"|"AUD"|"CHF"|"THB"|"ILS"|"COP"|"MXN"|"DKK"|"NOK"|"SEK"|"QAR"|"CAD"|"ISK"|"GTQ"|"INR"|"DOP"|"SGD"|"PLN"|"SAR"|"TTD"|"ZAR"|"KYD"|"HKD"|"CZK"|"KRW"|"JPY"|"NZD"|"AED"|"MAD"|"TWD"|"BRL"|"BWP"|"NAD"|"KES"|"SCR"|"TRY"|"SZL"|"LSL"|"TZS"|"UGX"|"ZMW"|"ZWG"|"GHS"|"NGN"|"SLE"|"LRD"|"XOF"|"XAF"|"GEL"|"IDR"|"ARS"|"CRC"|"HUF"|"EGP"|"MYR") - **extraFields** (object): The extra fields of the invoice. - **secret** (string): The secret of the invoice. - **referenceInvoiceId** (string): The reference invoice which the invoice evolved from. - **footerText** (array (string)): The custom footer columns of the invoice. - **createdAt** (string (date-time)): An ISO Timestamp indicating when the invoice was created. - **updatedAt** (string (date-time)): An ISO Timestamp indicating when the invoice was last updated. #### 400 - Bad Request Bad Request #### 401 - Unauthorized Unauthorized #### 404 - Not Found Not Found ### Example Usage ```bash curl -X GET "https://vivenu.com/api/invoices/trans/{transactionId}" ``` ``` -------------------------------- ### GET /api/vouchers/rich Source: https://vivenu.dev/api/openapi.json Get all Vouchers ```markdown ### Parameters - **top** (number (float), query, optional) - **skip** (number (float), query, optional) - **code** (string, query, optional) - **transactionId** (string, query, optional) ### Responses #### 200 - OK **GET_Vouchers_GetAllVouchers_200_response** - **docs** (array (VoucherWithBalanceResource)) Array items: - **code** (string) (required): Code used to redeem the voucher - **amount** (number (float)) (required): The amount of the voucher in seller's currency. eg. 50.0 -> 50 EUR - **validUntil** (string (date-time)): The date until this voucher can be redeemed. - **sellerId** (string): The ID of the seller of the voucher - **transactionId** (string): The ID of the transaction if the voucher was a result of a transaction - **productId** (string): The ID of the product if the voucher was a result of a product - **refundId** (string): The ID of the refund if the voucher was a result of a refund - **customerId** (string): The ID of the customer if the voucher was created for a specific customer - **origin** (string (default|shop|import|upgrade|refund)): The origin of the voucher ("default"|"shop"|"import"|"upgrade"|"refund") - **createdAt** (string (date-time)) (required): An ISO Timestamp indicating when the voucher was created. - **updatedAt** (string (date-time)) (required): An ISO Timestamp indicating when the voucher was last updated. - **balance** (number (float)) (required): The remaining balance of the voucher in seller's currency - **total** (integer) #### 400 - Bad Request Bad Request #### 401 - Unauthorized Unauthorized ### Example Usage ```bash curl -X GET "https://vivenu.com/api/vouchers/rich?top=25&skip=0&code=string&transactionId=string" ``` ``` -------------------------------- ### POST /api/sellers/{id}/fiscalization/initialize Source: https://vivenu.dev/api/openapi.json Initialize Fiscalization of a Seller ```markdown ### Parameters - **id** (union, path, required) ### Request Body **Content-Type:** application/json - **type** (string (RKSV_FON_CREDENTIALS)) (required) ("RKSV_FON_CREDENTIALS") - **participantId** (string) (required) - **userId** (string) (required) - **userPin** (string) (required) ### Responses #### 200 - OK Empty response body #### 400 - Bad Request Bad Request #### 401 - Unauthorized Unauthorized ### Example Usage ```bash curl -X POST "https://vivenu.com/api/sellers/{id}/fiscalization/initialize" \ -H "Content-Type: application/json" \ -d '{ "type": "RKSV_FON_CREDENTIALS", "participantId": "string", "userId": "string", "userPin": "string" }' ``` ``` -------------------------------- ### POST /api/bundles Source: https://vivenu.dev/api/openapi.json Create a Bundle ```markdown ### Request Body **Content-Type:** application/json - **active** (boolean) (required): Whether the bundle is active - **name** (string) (required): The name of the bundle - **description** (string) (required): The description of the bundle - **image** (string): The image of the bundle - **components** (array (object)) (required): The components of the bundle Array items: - **_id** (string): The ID of the bundle component - **name** (string) (required): The ID of the bundle component - **options** (array (union)) (required): Options for the bundle component Array items: - **_id** (string): The ID of the option - **type** (string (pricetype)) (required) ("pricetype") - **price** (number (float)): The price of the bundle component option - **priceType** (object) (required) - **priceTableId** (string) (required): The ID of the price table of the bundle component option - **priceTypeId** (string) (required): The ID of the price type of the bundle component option - **minQuantity** (number (float)) (required): Minimum quantity of the bundle component - **maxQuantity** (number (float)) (required): Maximum quantity of the bundle component - **localization** (object): Localization of the bundle component for multiple languages - **triggers** (array (object)) (required): The triggers of the bundle Array items: - **_id** (string): The ID of the bundle component - **type** (string) - **target** (object) - **componentId** (string) (required): The component which should trigger the bundle - **showOnlyTotalPrice** (boolean) (required): Whether to show the total only - **localization** (object): Localization of the bundle for multiple languages ### Responses #### 201 - Created **POST_Bundles_CreateABundle_201_response** - **_id** (string) (required): The ID of the bundle - **active** (boolean) (required): Whether the bundle is active - **name** (string) (required): The name of the bundle - **description** (string) (required): The description of the bundle - **image** (string): The image of the bundle - **components** (array (object)) (required): The components of the bundle Array items: - **_id** (string): The ID of the bundle component - **name** (string) (required): The ID of the bundle component - **options** (array (union)) (required): Options for the bundle component Array items: - **_id** (string): The ID of the option - **type** (string (pricetype)) (required) ("pricetype") - **price** (number (float)): The price of the bundle component option - **priceType** (object) (required) - **priceTableId** (string) (required): The ID of the price table of the bundle component option - **priceTypeId** (string) (required): The ID of the price type of the bundle component option - **minQuantity** (number (float)) (required): Minimum quantity of the bundle component - **maxQuantity** (number (float)) (required): Maximum quantity of the bundle component - **localization** (object): Localization of the bundle component for multiple languages - **triggers** (array (object)) (required): The triggers of the bundle Array items: - **_id** (string): The ID of the bundle component - **type** (string) - **target** (object) - **componentId** (string) (required): The component which should trigger the bundle - **createdAt** (string (date-time)): An ISO timestamp indicating when the product was created - **updatedAt** (string (date-time)): An ISO timestamp indicating when the product was updated - **sellerId** (string) (required): The ID of the seller of the bundle - **showOnlyTotalPrice** (boolean) (required): Whether to show the total only - **localization** (object): Localization of the bundle for multiple languages #### 400 - Bad Request Bad Request #### 401 - Unauthorized Unauthorized ### Example Usage ```bash curl -X POST "https://vivenu.com/api/bundles" \ -H "Content-Type: application/json" \ -d '{ "active": "true", "name": "string", "description": "string", "image": "string", "components": [ { "_id": "string", "name": "string", "options": [ "value" ], "minQuantity": "0", "maxQuantity": "0", "localization": "value" } ], "triggers": [ { "_id": "string", "type": "string", "target": { "componentId": "string" } } ], "showOnlyTotalPrice": "true", "localization": "value" }' ``` ``` -------------------------------- ### GET /api/products Source: https://vivenu.dev/api/openapi.json Get all Products ```markdown ### Parameters - **top** (number (float), query, optional) - **skip** (number (float), query, optional) - **name** (string, query, optional) - **variantIds** (array (string), query, optional) - **type** (string (voucher|product|donation|membership|addOn), query, optional) - **active** (boolean, query, optional) ### Responses #### 200 - OK **GET_Products_GetAllProducts_200_response** - **docs** (array (object)) Array items: - **_id** (string) (required): The ID of the product - **name** (string) (required): The name of the product - **active** (boolean): Whether the product is active and can be distributed - **isFulfillable** (boolean): Whether the product can be delivered - **type** (string (voucher|product|donation|membership|addOn)) (required): The type of the product ("voucher"|"product"|"donation"|"membership"|"addOn") - **image** (string): The image of the product - **description** (string): The description of the product - **variants** (array (object)): An array of variants of the product Array items: - **_id** (string) (required): The ID of the product variant of the product - **name** (string): The Name of the product variant, defaults to product name if not specified - **description** (string): A description of the variant - **priceType** (string (fixed|range)) ("fixed"|"range") - **price** (number (float)): The price of the product - **priceRange** (object) - **min** (number (float)): The minimum price of the product - **max** (number (float)): The maximum price of the product - **taxable** (boolean) (required): Whether the product is taxable or not - **taxRate** (number (float)): The tax rate of the product - **compareAtPrice** (number (float)): The recommended retail price to compare with the actual price. - **taxServiceTypeId** (string): The ID of the tax service of the product - **gtin** (string) - **localization** (object): Localization of the product for multiple languages - **categoryIds** (array (string)): An array of categories to which the product belongs - **voucherSettings** (object): If the product is of type voucher - **limitedValidityPeriod** (boolean): Whether the voucher should expire - **validityConfig** (object) - **amount** (number (float)) - **type** (number (float)) - **untilEndOfPeriod** (boolean) - **pdfImage** (string): A marketing image printed onto voucher pdf - **disclaimer** (string): A disclaimer text printed onto voucher pdf - **documentTemplateSettings** (object) - **templates** (array (object)) Array items: - **templateId** (string) (required): The ID of the document template - **format** (string (A4|LETTER|LEGAL|BOARDING-PASS|PLASTIC-CARD|CARD|LABEL|CUSTOM|APPLE|GOOGLE)) (required): The format of document template for the dimensions. ("A4"|"LETTER"|"LEGAL"|"BOARDING-PASS"|"PLASTIC-CARD"|"CARD"|"LABEL"|"CUSTOM"|"APPLE"|"GOOGLE") - **target** (string (thermal|digital|wallet)) (required): The target of document template for which targets it should be used. ("thermal"|"digital"|"wallet") - **type** (string (ticket|invoice|voucher|member-card|header-card)) (required): The type of document template for which document it should be used. ticket = The document template will be used on tickets. invoice = The document template will be used on invoices. ("ticket"|"invoice"|"voucher"|"member-card"|"header-card") - **addOnSettings** (object) - **optOutDescription** (string): The description that is shown to the user if he decides to not buy the addOn - **localization** (object): Localization of the addOnSettings for multiple languages - **donationSettings** (object): Settings for donation products - **campaignId** (string) (required): The ID of the fundraise campaign - **fundId** (string) (required): The ID of the donation fund - **sellerId** (string) (required): The ID of the seller of the product - **meta** (object): Custom key-value data. Metadata is useful for storing additional, structured information on an object. - **localization** (object): Localization of the product for multiple languages - **createdAt** (string (date-time)): An ISO timestamp indicating when the product was created - **updatedAt** (string (date-time)): An ISO timestamp indicating when the product was updated - **total** (integer) #### 400 - Bad Request Bad Request #### 401 - Unauthorized Unauthorized ### Example Usage ```bash curl -X GET "https://vivenu.com/api/products?top=25&skip=0&name=string&variantIds=item1,item2&type=voucher&active=true" ``` ``` -------------------------------- ### GET /api/payments/refunds Source: https://vivenu.dev/api/openapi.json Get all refunds ```markdown ### Parameters - **skip** (number (float), query, optional) - **top** (number (float), query, optional) - **gateway** (string, query, optional) - **gatewayId** (string, query, optional) - **createdAt** (object, query, optional) - **target** (string (origin|voucher), query, optional) ### Responses #### 200 - OK **GET_Refunds_GetAllRefunds_200_response** - **docs** (array (RefundResource)) Array items: - **_id** (string) (required): The ID of the refund - **transactionId** (string): The ID of the transaction which the refund belongs to - **eventId** (string): The ID of the event which the refund belongs to - **sellerId** (string): The ID of the seller which the refund belongs to - **pspRef** (string): The ID of the payment service provider reference object - **gateway** (string (managed|external|local)): The gateway payment type of the refund ("managed"|"external"|"local") - **amount** (number (float)): The amount of the refund - **currency** (string (EUR|USD|GBP|AUD|CHF|THB|ILS|COP|MXN|DKK|NOK|SEK|QAR|CAD|ISK|GTQ|INR|DOP|SGD|PLN|SAR|TTD|ZAR|KYD|HKD|CZK|KRW|JPY|NZD|AED|MAD|TWD|BRL|BWP|NAD|KES|SCR|TRY|SZL|LSL|TZS|UGX|ZMW|ZWG|GHS|NGN|SLE|LRD|XOF|XAF|GEL|IDR|ARS|CRC|HUF|EGP|MYR)): An ISO 4217 3-character code of the currency ("EUR"|"USD"|"GBP"|"AUD"|"CHF"|"THB"|"ILS"|"COP"|"MXN"|"DKK"|"NOK"|"SEK"|"QAR"|"CAD"|"ISK"|"GTQ"|"INR"|"DOP"|"SGD"|"PLN"|"SAR"|"TTD"|"ZAR"|"KYD"|"HKD"|"CZK"|"KRW"|"JPY"|"NZD"|"AED"|"MAD"|"TWD"|"BRL"|"BWP"|"NAD"|"KES"|"SCR"|"TRY"|"SZL"|"LSL"|"TZS"|"UGX"|"ZMW"|"ZWG"|"GHS"|"NGN"|"SLE"|"LRD"|"XOF"|"XAF"|"GEL"|"IDR"|"ARS"|"CRC"|"HUF"|"EGP"|"MYR") - **createdAt** (string (date-time)) (required): An ISO Timestamp indicating when the refund was created. - **updatedAt** (string (date-time)) (required): An ISO Timestamp indicating when the refund was updated. - **total** (integer) #### 400 - Bad Request Bad Request #### 401 - Unauthorized Unauthorized ### Example Usage ```bash curl -X GET "https://vivenu.com/api/payments/refunds?skip=0&top=25&gateway=string&gatewayId=string&createdAt=value&target=origin" ``` ``` -------------------------------- ### GET /api/payments/chargebacks Source: https://vivenu.dev/api/openapi.json Get all chargebacks ```markdown ### Parameters - **skip** (number (float), query, optional) - **top** (number (float), query, optional) - **gateway** (string, query, optional) - **gatewayId** (string, query, optional) - **createdAt** (object, query, optional) ### Responses #### 200 - OK **GET_Chargebacks_GetAllChargebacks_200_response** - **docs** (array (ChargebackResource)) Array items: - **_id** (string) (required): The ID of the chargeback - **transactionId** (string): The ID of the transaction which the chargeback belongs to - **eventId** (string): The ID of the event which the chargeback belongs to - **sellerId** (string): The ID of the seller which the chargeback belongs to - **pspRef** (string): The ID of the payment service provider reference object - **gateway** (string (managed|external|local)): The gateway payment type of the chargeback ("managed"|"external"|"local") - **fee** (number (float)): The fee of the chargeback - **amount** (number (float)): The amount of the chargeback - **currency** (string (EUR|USD|GBP|AUD|CHF|THB|ILS|COP|MXN|DKK|NOK|SEK|QAR|CAD|ISK|GTQ|INR|DOP|SGD|PLN|SAR|TTD|ZAR|KYD|HKD|CZK|KRW|JPY|NZD|AED|MAD|TWD|BRL|BWP|NAD|KES|SCR|TRY|SZL|LSL|TZS|UGX|ZMW|ZWG|GHS|NGN|SLE|LRD|XOF|XAF|GEL|IDR|ARS|CRC|HUF|EGP|MYR)): An ISO 4217 3-character code of the currency ("EUR"|"USD"|"GBP"|"AUD"|"CHF"|"THB"|"ILS"|"COP"|"MXN"|"DKK"|"NOK"|"SEK"|"QAR"|"CAD"|"ISK"|"GTQ"|"INR"|"DOP"|"SGD"|"PLN"|"SAR"|"TTD"|"ZAR"|"KYD"|"HKD"|"CZK"|"KRW"|"JPY"|"NZD"|"AED"|"MAD"|"TWD"|"BRL"|"BWP"|"NAD"|"KES"|"SCR"|"TRY"|"SZL"|"LSL"|"TZS"|"UGX"|"ZMW"|"ZWG"|"GHS"|"NGN"|"SLE"|"LRD"|"XOF"|"XAF"|"GEL"|"IDR"|"ARS"|"CRC"|"HUF"|"EGP"|"MYR") - **createdAt** (string (date-time)) (required): An ISO Timestamp indicating when the chargeback was created. - **updatedAt** (string (date-time)) (required): An ISO Timestamp indicating when the chargeback was updated. - **total** (integer) #### 400 - Bad Request Bad Request #### 401 - Unauthorized Unauthorized ### Example Usage ```bash curl -X GET "https://vivenu.com/api/payments/chargebacks?skip=0&top=25&gateway=string&gatewayId=string&createdAt=value" ``` ``` -------------------------------- ### POST /api/sellers/{id}/product-plans/{planId}/activate Source: https://vivenu.dev/api/openapi.json Activate a product plan for a seller ```markdown ### Parameters - **id** (string, path, required): Seller ID - **planId** (string (vivenu-engage), path, required): Product Plan ID ### Request Body **Content-Type:** application/json - **discount** (number): Discount percentage (0-1) ### Responses #### 200 - OK Empty response body #### 400 - Bad Request Bad Request #### 401 - Unauthorized Unauthorized ### Example Usage ```bash curl -X POST "https://vivenu.com/api/sellers/{id}/product-plans/{planId}/activate" \ -H "Content-Type: application/json" \ -d '{ "discount": "0" }' ``` ```